Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002885Piwigodisplaypublic2013.04.08 07:412013.06.24 15:20
Reporteranthony43 
Assigned Torvelices 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.5.0 
Target Version2.6.0beta1Fixed in Version2.6.0beta1 
Summary0002885: Add geoip info in the stats / history page
DescriptionThe stats page available at admin.php?page=history is very useful to see who are the visitors of the gallery.
Unfortunately, the only technical info about the user is his IP address.
Using a free online service, such as http://freegeoip.net/ [^] (based on open source code) we could display the city, region and country matching this IP address.
Using Jquery and tiptip (already loaded by piwigo), we could provide this info in a tooltip; all the owrk would be performed asynchronously by the browser and would not delay the loading of the page
Additional InformationThe patch (against latest trunk) is attached, I already tested in my own piwigo install, here is a screenshot : http://imgur.com/xU7r6sO [^]
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 2
Attached Filesdiff file icon add_geoip_in_stats_page.diff [^] (1,414 bytes) 2013.04.08 07:41 [Show Content]

- Relationships

-  Notes
(0006928)
anthony43 (reporter)
2013.04.17 15:49

hello !
any updates on the acceptance of the patch ?
(0006978)
rvelices (developer)
2013.05.13 13:43

we'll do it properly
- no http requests until hover over ip
- request caching (no duplicate requests over same ip)
(0006982)
svn (reporter)
2013.05.14 21:30

[Subversion] r22664 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2885: Add geoip info in the stats / history page
(0006983)
svn (reporter)
2013.05.16 06:31

[Subversion] r22683 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2885: Add geoip info in the stats / history page
- use jsonp (cross origin)
- use localStorage cache
- use tiptip instead of ui tooltip
(0006984)
svn (reporter)
2013.05.16 22:46

[Subversion] r22703 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2885: Add geoip info in the stats / history page - fixes and add a location map image
(0006987)
plg (manager)
2013.05.17 01:00

Nice new feature.

Could the Google Map be loaded only optionnaly? (and unchecked by default)
(0006988)
plg (manager)
2013.05.17 09:08

Or maybe even better than a global option: in the tooltip display, by default "Fox River Grove, Illinois, United States <show on Google Maps>" and when you click on the link, opens the map as it's done in [Subversion] r22703
(0006989)
rvelices (developer)
2013.05.17 10:48

plg,

- second proposition not easily feasible because we are using tiptip generated content and it's not obvious to catch the click callback, change tiptip content and reposition the tiptip

- having an option for showing a map when we hover an ip is overkill - so either we leave it as it is or we remove it ...
(0006990)
plg (manager)
2013.05.17 11:21

On one side I like the map display, on the other side I don't want Piwigo to automaticaly rely on Google services. That must be an explicit choice made by the user. Just like Piwigo doesn't use jQuery hosted on Google.com. The user who decides to use Piwigo and not Google services doesn't want to realize that actually Piwigo uses Google without asking the permission.

Please keep the feature as it is for now. I will try to catch the click on tiptip.
(0006992)
svn (reporter)
2013.05.17 13:07

[Subversion] r22715 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2885: only display Google Map on a click
(0006993)
plg (manager)
2013.05.17 13:08

rvelices, tell me what you think of [Subversion] r22715.

I have not l10n "show on a Google Map" yet
(0006994)
plg (manager)
2013.05.17 13:09

(I see that I didn't reapply the jQuery(document).ready( function(){
(0006995)
rvelices (developer)
2013.05.18 05:42

It looks ok to me(even if the tip is not correctly positioned if the ip is at the bottom of the page)
document.ready should be there I think (because the script is loaded async)
(0007066)
svn (reporter)
2013.06.24 15:20

[Subversion] r23497 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2885: forgotten jQuery(document).ready

- Issue History
Date Modified Username Field Change
2013.04.08 07:41 anthony43 New Issue
2013.04.08 07:41 anthony43 File Added: add_geoip_in_stats_page.diff
2013.04.08 07:41 anthony43 browser => any
2013.04.08 07:41 anthony43 Web server => Apache 2
2013.04.08 15:11 anthony43 Note Added: 0006917
2013.04.08 17:49 anthony43 Note Deleted: 0006917
2013.04.17 15:49 anthony43 Note Added: 0006928
2013.05.13 13:43 rvelices Note Added: 0006978
2013.05.13 13:43 rvelices Assigned To => rvelices
2013.05.13 13:43 rvelices Severity minor => feature
2013.05.13 13:43 rvelices Status new => assigned
2013.05.13 13:43 rvelices Target Version => 2.6.0beta1
2013.05.14 21:30 svn Checkin
2013.05.14 21:30 svn Note Added: 0006982
2013.05.16 06:31 svn Checkin
2013.05.16 06:31 svn Note Added: 0006983
2013.05.16 22:46 svn Checkin
2013.05.16 22:46 svn Note Added: 0006984
2013.05.17 01:00 plg Note Added: 0006987
2013.05.17 09:08 plg Note Added: 0006988
2013.05.17 10:48 rvelices Note Added: 0006989
2013.05.17 11:21 plg Note Added: 0006990
2013.05.17 12:58 plg Note Added: 0006991
2013.05.17 12:58 plg Note Deleted: 0006991
2013.05.17 13:07 svn Checkin
2013.05.17 13:07 svn Note Added: 0006992
2013.05.17 13:08 plg Note Added: 0006993
2013.05.17 13:09 plg Note Added: 0006994
2013.05.18 05:42 rvelices Note Added: 0006995
2013.06.23 22:35 plg Status assigned => closed
2013.06.23 22:35 plg Resolution open => fixed
2013.06.23 22:35 plg Fixed in Version => 2.6.0beta1
2013.06.24 15:20 svn Checkin
2013.06.24 15:20 svn Note Added: 0007066


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker